package shop.alien.storeplatform.annotation;

import java.lang.annotation.*;

/**
 * 平台操作记录注解
 *
 * @author system
 * @since 2025-01-XX
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface PlatformOperationLog {

    /**
     * 操作模块
     */
    String module();

    /**
     * 操作类型
     */
    String type();

    /**
     * 操作内容（支持SpEL表达式）
     * 示例："新增角色 #{#roleName}（店铺ID=#{#storeId}）"
     */
    String content() default "";
}
